Bug 127607 - UBUNTU: gnome-terminal crashes
UBUNTU: gnome-terminal crashes
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: -- Other --
6.x
Other Other
: P1 (vote)
: 6.x
Assigned To: _ gordonp
issues@cnd
UBUNTU,release601_fixes_candidate2 re...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-18 10:21 UTC by Andrew Krasny
Modified: 2008-04-19 09:51 UTC (History)
7 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Krasny 2008-02-18 10:21:52 UTC
When CND tries to use gnome-terminal (for input/output), it fails as terminal crashes. 
The problem. actually, in terminal itself. But this blocks CND. There is an easy workaround - use -x option instead of
-e when invoke terminal. This issue should be fixed in bits for special UC.
Comment 1 _ gordonp 2008-02-19 21:30:54 UTC
Fixed in http://hg.netbeans.org/main?cmd=changeset;node=afbe300d8cf1.

I've tested on Solaris, Ubuntu 7.10 and Hardy (sqao36 via vnc).
Comment 2 Antonin Nebuzelsky 2008-02-20 11:12:34 UTC
Should be delivered to 6.0.1 via autoupdate.
Comment 3 Alexander Pepin 2008-02-26 06:23:27 UTC
verified in NB on Ubuntu Hardy with installed update (org-netbeans-modules-cnd-makeproject.nbm) and in the latest trunk
build. 
Comment 4 Karthikeyan Rajeswaran 2008-02-27 21:53:19 UTC
Fix has been backported to release601_fixes :

Checking in src/org/netbeans/modules/cnd/makeproject/api/DefaultProjectActionHandler.java;
/cvs/cnd/makeproject/src/org/netbeans/modules/cnd/makeproject/api/Attic/DefaultProjectActionHandler.java,v  <--
DefaultProjectActionHandler.java
new revision: 1.16.8.1; previous revision: 1.16
done
Checking in src/org/netbeans/modules/cnd/makeproject/api/runprofiles/RunProfile.java;
/cvs/cnd/makeproject/src/org/netbeans/modules/cnd/makeproject/api/runprofiles/Attic/RunProfile.java,v  <--  RunProfile.java
new revision: 1.11.14.1; previous revision: 1.11
done


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo